// Copyright 2022, FOSS-VG Developers and Contributers
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU Affero General Public License as published
// by the Free Software Foundation, version 3.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied
// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// version 3 along with this program.
// If not, see https://www.gnu.org/licenses/agpl-3.0.en.html

import java.util.Scanner;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.io.DataOutputStream;
import java.io.IOException;

public class JavaStringGenerator {

    public static void main(String[] args) {
       Scanner input;
        try {
            input = new Scanner(new InputStreamReader(System.in, "UTF-8"));
            input.useDelimiter("");
        } catch (UnsupportedEncodingException exception) {
            exception.printStackTrace();
            // This is here because "variable input might not have been initialized"
            input = null;
            System.exit(1);
        }

        String data = "";

        System.err.println("Reading data from stdin...");
        while (input.hasNext()) {
            data = data + input.next();
        }

        DataOutputStream output = new DataOutputStream(System.out);
        try {
        output.writeUTF(data);
        output.flush();
        } catch (IOException exception) {
            exception.printStackTrace();
            System.exit(1);
        }
    }
}
